#
# spec file for package emacs-apel
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           emacs-apel
Version:        10.8+81+g82eb232
Release:        1.2
Summary:        A Portable Emacs Library
License:        GPL-2.0-or-later
Group:          Productivity/Editors/Emacs
URL:            https://github.com/wanderlust/apel
Source:         apel-%{version}.tar.gz
Source1:        suse-start-apel.el
BuildRequires:  emacs-nox
Requires:       emacs
Requires:       emacs_program
Provides:       apel = %{version}
Obsoletes:      apel < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A Portable Emacs Library

%prep
%setup -q -n apel-%{version}
cp -p %{SOURCE1} .

%build
make "CFLAGS=%{optflags}" LDFLAGS=-s EMACS=emacs PREFIX=%{_prefix} %{?_smp_mflags}

%install
make install EMACS=emacs PREFIX=%{buildroot}%{_prefix}
install -m 644 suse-start-apel.el %{buildroot}%{_datadir}/emacs/site-lisp/
# make install.man

%files
%defattr(-,root,root)
%doc README.en README.ja
%{_datadir}/emacs/site-lisp/suse-start-apel.el
%{_datadir}/emacs/site-lisp/emu
%{_datadir}/emacs/site-lisp/apel

%changelog
* Thu May 18 2023 schwab@linux-m68k.org
- Update to version 10.8+81+g82eb232:
  * Update docstring syntax
* Thu May  5 2022 schwab@linux-m68k.org
- Switch to APEL-LB from Wanderlust
- Update to version 10.8+80+g6947dc4:
  * Fold docstring within 80 characters
  * Fix fontset-pixel-size failure
  * Revive poe.el's dependency on pym.el
  * Remove conditional definition of functions and variable.
  * Remove codes for old platforms.
  * Update package description file for MELPA.
  * * product.el: Remove unneeded dependency on pym.el.
  * Don't use defun-maybe for mime-charset-list
- apel-10.8-040_make-temp-file-for-Emacs-24.3.50.patch,
  apel-emacs-escape-fix.patch, emacs-apel-fix-old-backquote.patch,
  prevent-fontset-error.patch: Remote obsolete patches
* Mon Sep 28 2020 Marguerite Su <i@marguerite.su>
- add emacs-apel-fix-old-backquote.patch
- fix TW build
* Mon Jul 23 2018 tiwai@suse.de
- Fix build with the latest emacs:
  apel-emacs-escape-fix.patch
* Mon Oct 27 2014 i@marguerite.su
- fix for factory
  * added apel-10.8-040_make-temp-file-for-Emacs-24.3.50.patch
  * Fix wrong type argument on Emacs 24.3.50 to check make-temp-file
* Wed Jul  4 2012 werner@suse.de
- updated to version 10.8:
  * EMU-ELS (emu-modules): Add setting for GNU Emacs 23 or later.
  * invisible.el: In GNU Emacs 23, inv-19.el overrides builtin
    function `invisible-p'.  To fix the bug, require `inv-23' when
    running with GNU Emacs 23 or later.
  * poe.el (format-time-string): Fix problem on GNU Emacs 22.2
- Add patch from Debian:
  * poem-e20.el (fontset-pixel-size): Don't cause an error. Workaround
    for Emacs 23.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Wed Aug 19 2009 tiwai@suse.de
- updated to version 10.7:
  Updated for newer FLIM and WL; See ChangeLog file for details
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Feb 14 2004 mfabian@suse.de
- update to 10.6
* Mon Jun 23 2003 schwab@suse.de
- Package is noarch.
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Tue Mar 20 2001 kukuk@suse.de
- Fix Requires (emacs-nox -> emacs_program)
* Mon Mar 19 2001 ke@suse.de
- Add suse-start-apel.el.
* Mon Mar 19 2001 ke@suse.de
- Update to version 10.3 [#6736].
- Remove LC_CTYPE=ISO-8859-1 and EMACS_UNIBYTE=1.
- Use RPM macros.
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 bs@suse.de
- fixed call of Check at the end of %%install section
* Thu Apr 15 1999 werner@suse.de
- Add export LC_CTYPE=ISO-8859-1 and export EMACS_UNIBYTE=1
  to build *and* install section
* Sun Sep  6 1998 ke@suse.de
- initial package: version 8.17.
